Package com.smartgwt.logicalstructure.widgets

# Class DialogLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.WindowLogicalStructure
com.smartgwt.logicalstructure.widgets.DialogLogicalStructure

Direct Known Subclasses:
  `BuildViaAIProgressDialogLogicalStructure`

public class DialogLogicalStructure extends WindowLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `askIcon`
  `String`
  `autoFocus`
  `Canvas`
  `autoFocusButtonAsCanvas`
  `String`
  `autoFocusButtonAsString`
  `Button[]`
  `buttonsAsButtonArray`
  `String`
  `confirmIcon`
  `String`
  `defaultWidth`
  `String`
  `icon`
  `String`
  `iconSize`
  `String`
  `iconStyle`
  `String`
  `message`
  `String`
  `messageStyle`
  `String`
  `sayIcon`
  `String`
  `showToolbar`
  `String`
  `styleName`
  `Button[]`
  `toolbarButtonsAsButtonArray`
  `String`
  `warnIcon`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.WindowLogicalStructure

  `animateMinimize, autoCenter, autoSize, bodyColor, bodyStyle, bringToFrontOnMouseUp, canDragReposition, canDragResize, canFocusInHeaderButtons, contentLayout, contentsType, defaultMinimizeHeight, dismissOnEscape, dismissOnOutsideClick, editProxyConstructor, fillSpaceStyleName, footerControls, footerHeight, headerControls, headerSrc, headerStyle, hiliteBodyColor, hiliteHeaderSrc, hiliteHeaderStyle, isModal, keepInParentRectAsString, maximized, minimizeAcceleration, minimized, minimizeHeight, minimizeTime, modalMaskOpacity, modalMaskStyle, opacity, placement, printBodyStyle, printHeaderStyle, resizeFrom, showBody, showCloseButton, showEdges, showFooter, showHeader, showHeaderBackground, showHeaderIcon, showMaximizeButton, showMinimizeButton, showModalMask, showResizer, showShadow, showStatusBar, showTitle, src, status, title, useBackMask`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, members, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragScroll, canDrop, canDropBefore, canFocus, canHover, canSelectText, canvasItem, children, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, leaveGroupLabelSpace, leavePageSpace, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructor, minNonEdgeSize, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, padding, parentCanvas, parentElement, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shouldPrint, showCustomScrollbars, showDragShadow, showHover, showHoverComponents, showPointer, showResizeBar, showSnapGrid, shrinkElementOnHide, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, tabIndex, testDataContext, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useCSSShadow, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialogLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### askIcon

    public String askIcon

  - ### autoFocus

    public String autoFocus

  - ### autoFocusButtonAsCanvas

    public Canvas autoFocusButtonAsCanvas

  - ### autoFocusButtonAsString

    public String autoFocusButtonAsString

  - ### buttonsAsButtonArray

    public Button[] buttonsAsButtonArray

  - ### confirmIcon

    public String confirmIcon

  - ### defaultWidth

    public String defaultWidth

  - ### icon

    public String icon

  - ### iconSize

    public String iconSize

  - ### iconStyle

    public String iconStyle

  - ### message

    public String message

  - ### messageStyle

    public String messageStyle

  - ### sayIcon

    public String sayIcon

  - ### showToolbar

    public String showToolbar

  - ### styleName

    public String styleName

  - ### toolbarButtonsAsButtonArray

    public Button[] toolbarButtonsAsButtonArray

  - ### warnIcon

    public String warnIcon

- ## Constructor Details

  - ### DialogLogicalStructure

    public DialogLogicalStructure()